﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 19/03/2019 11:57:17
-- Server version: 5.5.5-10.1.36-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE m2u2practica1_atletismo;

--
-- Drop table `resultado`
--
DROP TABLE IF EXISTS resultado;

--
-- Drop table `deportista`
--
DROP TABLE IF EXISTS deportista;

--
-- Drop table `prueba`
--
DROP TABLE IF EXISTS prueba;

--
-- Drop table `reunion`
--
DROP TABLE IF EXISTS reunion;

--
-- Drop table `tipoprueba`
--
DROP TABLE IF EXISTS tipoprueba;

--
-- Set default database
--
USE m2u2practica1_atletismo;

--
-- Create table `tipoprueba`
--
CREATE TABLE tipoprueba (
  codTipo int(11) NOT NULL AUTO_INCREMENT,
  destTipo varchar(20) DEFAULT NULL,
  PRIMARY KEY (codTipo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `reunion`
--
CREATE TABLE reunion (
  codReu int(11) NOT NULL AUTO_INCREMENT,
  fechaReu date DEFAULT NULL,
  lugarReu varchar(50) DEFAULT NULL,
  nombreReu varchar(20) DEFAULT NULL,
  PRIMARY KEY (codReu)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `prueba`
--
CREATE TABLE prueba (
  codReu int(11) DEFAULT NULL,
  numPrueba int(11) NOT NULL AUTO_INCREMENT,
  codTipo int(11) DEFAULT NULL,
  horaPrueba time DEFAULT NULL,
  lugarPrueba varchar(20) DEFAULT NULL,
  PRIMARY KEY (numPrueba)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codReu` on table `prueba`
--
ALTER TABLE prueba
ADD UNIQUE INDEX codReu (codReu);

--
-- Create foreign key
--
ALTER TABLE prueba
ADD CONSTRAINT FK_prueba_reunion_codReu FOREIGN KEY (codReu)
REFERENCES reunion (codReu) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE prueba
ADD CONSTRAINT FK_prueba_tipoPrueba_codTipo FOREIGN KEY (codTipo)
REFERENCES tipoprueba (codTipo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `deportista`
--
CREATE TABLE deportista (
  codDep int(11) NOT NULL AUTO_INCREMENT,
  nomapDep varchar(50) DEFAULT NULL,
  provinciaDep varchar(20) DEFAULT NULL,
  fechanacDep date DEFAULT NULL,
  dniDep varchar(10) DEFAULT NULL,
  domicilioDep varchar(20) DEFAULT NULL,
  codposDep int(11) DEFAULT NULL,
  telefonoDep varchar(12) DEFAULT NULL,
  PRIMARY KEY (codDep)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `resultado`
--
CREATE TABLE resultado (
  codReu int(11) DEFAULT NULL,
  numPrueba int(11) DEFAULT NULL,
  inscripcion int(11) NOT NULL AUTO_INCREMENT,
  codDep int(11) DEFAULT NULL,
  marcaDep float DEFAULT NULL,
  posicionDep int(11) DEFAULT NULL,
  PRIMARY KEY (inscripcion)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codReu` on table `resultado`
--
ALTER TABLE resultado
ADD UNIQUE INDEX codReu (codReu);

--
-- Create index `numPrueba` on table `resultado`
--
ALTER TABLE resultado
ADD UNIQUE INDEX numPrueba (numPrueba);

--
-- Create foreign key
--
ALTER TABLE resultado
ADD CONSTRAINT FK_resultado_deportista_codDep FOREIGN KEY (codDep)
REFERENCES deportista (codDep) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE resultado
ADD CONSTRAINT FK_resultado_prueba_numPrueba FOREIGN KEY (numPrueba)
REFERENCES prueba (numPrueba) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;